> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/campaign/:id



## OpenAPI

````yaml /openapi.json get /v1/report/campaign/{id}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/campaign/{id}:
    get:
      tags:
        - Reporting/Campaign Reports
        - public
      summary: /report/campaign/:id
      parameters:
        - name: id
          in: path
          description: Campaign ID
          required: true
          example: 0
          schema:
            type: integer
        - name: start
          in: query
          description: Optional start date
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: Optional end date
          required: false
          schema:
            type: string
            format: date
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      campaign_id:
                        type: integer
                      campaign_name:
                        type: string
                      start_date:
                        type: string
                        format: date
                      end_date:
                        type: string
                        format: date
                      currency:
                        type: string
                      status:
                        type: string
                      total_impressions:
                        type: integer
                      total_clicks:
                        type: integer
                      total_ctr:
                        type: number
                      total_spend:
                        type: integer
                      total_viewability:
                        type: number
                      filter_data:
                        type: object
                        properties:
                          publishers:
                            type: array
                            items:
                              type: object
                              properties:
                                uid:
                                  type: integer
                                domain:
                                  type: string
                                label:
                                  type: string
                                  nullable: true
                          configs:
                            type: array
                            items:
                              type: object
                              properties:
                                config_id:
                                  type: integer
                                unit:
                                  type: string
                                unit_label:
                                  type: string
                      range:
                        type: object
                        properties:
                          clicks:
                            type: array
                            items:
                              type: integer
                          impressions:
                            type: array
                            items:
                              type: integer
                          dates:
                            type: array
                            items:
                              type: string
                              format: date
                      data:
                        type: object
                        properties:
                          byUid:
                            type: array
                            items:
                              type: object
                              properties:
                                uid:
                                  type: integer
                                domain:
                                  type: string
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: integer
                                viewable_impressions:
                                  type: integer
                          byLineItem:
                            type: array
                            items:
                              type: object
                              properties:
                                line_item_id:
                                  type: integer
                                line_item_name:
                                  type: string
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: integer
                                viewable_impressions:
                                  type: integer
                          byConfig:
                            type: array
                            items:
                              type: object
                              properties:
                                config_id:
                                  type: integer
                                unit:
                                  type: string
                                unit_label:
                                  type: string
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: integer
                                viewable_impressions:
                                  type: integer
                          byCreativeSize:
                            type: array
                            items:
                              type: object
                              properties:
                                creative_size:
                                  type: string
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: integer
                                viewable_impressions:
                                  type: integer
                          byDevice:
                            type: array
                            items:
                              type: object
                              properties:
                                device:
                                  type: string
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: integer
                                viewable_impressions:
                                  type: integer
                          byDate:
                            type: array
                            items:
                              type: object
                              properties:
                                date:
                                  type: string
                                  format: date
                                impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: integer
                                viewable_impressions:
                                  type: integer
                          all:
                            type: array
                            items:
                              type: object
                              properties:
                                uid:
                                  type: integer
                                domain:
                                  type: string
                                line_item_id:
                                  type: integer
                                line_item_name:
                                  type: string
                                config_id:
                                  type: integer
                                unit:
                                  type: string
                                unit_label:
                                  type: string
                                date:
                                  type: string
                                  format: date
                                device:
                                  type: string
                                creative_size:
                                  type: string
                                impressions:
                                  type: integer
                                viewable_impressions:
                                  type: integer
                                clicks:
                                  type: integer
                                spend:
                                  type: integer
                                ctr:
                                  type: string
                                viewability:
                                  type: number
                  success:
                    type: boolean
              example:
                results:
                  campaign_id: 32729473
                  campaign_name: example.com campaign
                  start_date: '2026-04-18'
                  end_date: '2026-04-18'
                  currency: GBP
                  status: complete
                  total_impressions: 90338
                  total_clicks: 43
                  total_spend: 0
                  total_viewable_impressions: 62451
                  filter_data:
                    publishers:
                      - uid: 18620
                        domain: example.com
                        label: null
                    configs:
                      - config_id: 8395
                        unit: in-image
                        unit_label: In-Image
                  range:
                    clicks:
                      - 43
                    impressions:
                      - 90338
                    dates:
                      - '2026-04-18'
                  data:
                    byUid:
                      - uid: 18620
                        domain: example.com
                        impressions: 90338
                        clicks: 43
                        spend: 0
                        viewable_impressions: 62451
                    byLineItem:
                      - line_item_id: 6727744249
                        line_item_name: Why not visit our shop? - Backfill - Network Tier
                        impressions: 90338
                        clicks: 43
                        spend: 0
                        viewable_impressions: 62451
                    byConfig:
                      - config_id: 8395
                        unit: in-image
                        unit_label: In-Image
                        impressions: 90338
                        clicks: 43
                        spend: 0
                        viewable_impressions: 62451
                    byCreativeSize:
                      - creative_size: 300x250
                        impressions: 90338
                        clicks: 43
                        spend: 0
                        viewable_impressions: 62451
                    byDevice:
                      - device: desktop
                        impressions: 90338
                        clicks: 12
                        spend: 0
                        viewable_impressions: 62451
                    byDate:
                      - date: '2026-04-18'
                        impressions: 90338
                        clicks: 43
                        spend: 0
                        viewable_impressions: 62451
                    all:
                      - uid: 18620
                        domain: example.com
                        line_item_id: 6727744249
                        line_item_name: Why not visit our shop? - Backfill - Network Tier
                        config_id: 8395
                        unit: in-image
                        unit_label: In-Image
                        date: '2026-04-18'
                        device: desktop
                        creative_size: 300x250
                        impressions: 90338
                        viewable_impressions: 62451
                        clicks: 0
                        spend: 0
                        ctr: 0
                        viewability: 0.69130377
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````